The Spring Framework

## org.springframework.context
Class NoSuchMessageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.context.NoSuchMessageException

All Implemented Interfaces:
  Serializable

    public class NoSuchMessageException

extends RuntimeException

Exception thrown when a message can't be resolved.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`NoSuchMessageException(String code)` Create a new exception.
`NoSuchMessageException(String code, Locale locale)` Create a new exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchMessageException

    public NoSuchMessageException(String code,
                                  Locale locale)

  Create a new exception.

  Parameters:
    `code` - code that could not be resolved for given locale
    `locale` - locale that was used to search for the code within

### NoSuchMessageException

    public NoSuchMessageException(String code)

  Create a new exception.

  Parameters:
    `code` - code that could not be resolved for given locale

The Spring Framework

Copyright © 2002-2008 The Spring Framework.